Bug 30955 - Unknown caracters displayed as white squares
Summary: Unknown caracters displayed as white squares
Status: RESOLVED MOVED
Alias: None
Product: poppler
Classification: Unclassified
Component: general (show other bugs)
Version: unspecified
Hardware: Other All
: medium normal
Assignee: poppler-bugs
QA Contact:
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2010-10-18 04:31 UTC by guillomovitch
Modified: 2018-08-20 22:28 UTC (History)
0 users

See Also:
i915 platform:
i915 features:


Attachments
Document with display artifacts (7.49 KB, application/pdf)
2010-10-18 04:31 UTC, guillomovitch
Details
evince screenshot (15.57 KB, image/png)
2010-10-18 14:30 UTC, guillomovitch
Details
problematic PDF document (7.49 KB, application/octet-stream)
2010-10-20 06:19 UTC, guillomovitch
Details
fc-cat | grep helvetica output (64.54 KB, text/plain)
2010-10-20 06:24 UTC, guillomovitch
Details
fc-cat | grep Helvetica output (41.58 KB, text/plain)
2018-01-16 19:07 UTC, guillomovitch
Details

Note You need to log in before you can comment on or make changes to this bug.
Description guillomovitch 2010-10-18 04:31:39 UTC
Created attachment 39502 [details]
Document with display artifacts

Hello.

The following document, generated from pod2pdf, is displayed with white squares in evince (I guess it's cairo backend), corresponding to end of lines in original pod document:

=head1 title

foo
bar

This display artefact doesn't appears when using xpdf instead.

I can't decide if it's either a bug in pod2pdf or in poppler.
Comment 1 Albert Astals Cid 2010-10-18 14:25:37 UTC
Can you attach a screenshot of what you get?
Comment 2 guillomovitch 2010-10-18 14:30:30 UTC
Created attachment 39514 [details]
evince screenshot
Comment 3 Albert Astals Cid 2010-10-18 14:51:13 UTC
Which poppler version do you use?
Comment 4 guillomovitch 2010-10-18 14:56:35 UTC
poppler-0.14.4
Comment 5 Albert Astals Cid 2010-10-18 15:03:35 UTC
Works for me on poppler 0.14.4, the only thing i can think of are:
 * you don't have poppler-data installed
 * the pdf doesn't have the fonts embedded and your fonconfigs for Helvetica and Helvetica-Bold are different than mine
Comment 6 guillomovitch 2010-10-20 06:17:26 UTC
I do have poppler-data installed, so I guess it's the second issue.

The generated pdf file does have some binary content inside that might be embedded font definition. As I'm unable to decide myself, I'm attaching the file.

I'm also attaching the result of 'fc-cat | grep Helvetica', which seems the way to get helvetica metrics. Just tell me if there is a better option.
Comment 7 guillomovitch 2010-10-20 06:19:13 UTC
Created attachment 39575 [details]
problematic PDF document
Comment 8 guillomovitch 2010-10-20 06:24:21 UTC
Created attachment 39577 [details]
fc-cat | grep helvetica output
Comment 9 guillomovitch 2010-10-20 06:24:48 UTC
Comment on attachment 39575 [details]
problematic PDF document

Ooops, the document was already attached
Comment 10 Maris Nartiss 2018-01-16 18:46:59 UTC
Renders fine for me too. IMHO this bug should be closed as there has been no activity for too long.

Tested with:
poppler-0.62.0-r1
poppler-data-0.4.8
Gentoo ~AMD64
Comment 11 guillomovitch 2018-01-16 19:07:13 UTC
The original test case still displays the same artefacts, and producing a new one produces the same result. I still have poppler-data installed, only my font config changed since I reported the issue. I'm attaching the new one.
Comment 12 guillomovitch 2018-01-16 19:07:51 UTC
Created attachment 136783 [details]
fc-cat | grep Helvetica output
Comment 13 guillomovitch 2018-01-16 19:13:41 UTC
I forgot my current poppler versions:
- poppler 0.61.1
- poppler-data 0.4.8

I just checked patches applied on my distribution package: poppler package seems to use recent patches for malformed documents, and poppler-data has no patch at all. More details:
http://svnweb.mageia.org/packages/cauldron/poppler/current/SPECS/poppler.spec?view=log
http://svnweb.mageia.org/packages/cauldron/poppler-data/current/SPECS/poppler-data.spec?view=log
Comment 14 GitLab Migration User 2018-08-20 22:28:58 UTC
-- GitLab Migration Automatic Message --

This bug has been migrated to freedesktop.org's GitLab instance and has been closed from further activity.

You can subscribe and participate further through the new bug through this link to our GitLab instance: https://gitlab.freedesktop.org/poppler/poppler/issues/243.


Use of freedesktop.org services, including Bugzilla, is subject to our Code of Conduct. How we collect and use information is described in our Privacy Policy.